=== src/plugins/CommandLineOptions/IncDecVolumeOption/CMakeLists.txt ===
project(libincdecvolumeoption)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

set(libincdecvolumeoption_SRCS
    incdecvolumeoption.cpp
    translations/translations.qrc
)

add_library(incdecvolumeoption MODULE ${libincdecvolumeoption_SRCS})
target_link_libraries(incdecvolumeoption PRIVATE Qt6::Widgets libqmmpui libqmmp)
install(TARGETS incdecvolumeoption DESTINATION ${PLUGIN_DIR}/CommandLineOptions)
