=== debian/changelog ===
qmmp (2.2.8-1) unstable; urgency=medium

  [ Harald Dunkel ]
  * new upstream version 2.2.8

  [ Matteo Cypriani ]
  * Depend on liboss4-salsa-dev instead of oss4-dev (Closes: #1111849)

 -- Matteo Cypriani <mcy@lm7.fr>  Sun, 24 Aug 2025 17:29:06 +0200
